AccountEdge Pro - Common Questions

Article ID: 2027000                      Last updated:  2 December 2021

AccountEdge Pro introduces support for macOS 10.15 Catalina, 11.x  Big Sur, and 12.x  Monterey.

AccountEdge Pro will also operate with both Intel processors and Apple M1 chips.

AccountEdge Pro supports the following macOS's:

  • macOS 12.x  Monterey
  • macOS 11.x  Big Sur
  • macOS 10.15.x  Catalina
  • macOS 10.14.x  Mojave
  • macOS 10.13.x  High Sierra

Will I need to pay to upgrade to AccountEdge Pro?

All customers with a current Mamut service agreement can upgrade to AccountEdge Pro as part of their current agreement.

Is there a network edition of AccountEdge Pro?

AccountEdge NE is available for customers currently using AccountEdge Plus NE.

Can I continue to use AccountEdge, AccountEdge Plus, or AccountEdge Plus NE?

If your computer cannot yet run AccountEdge Pro, you can continue to use your legacy version of the product.

However, updates and upgrades will only be provided for AccountEdge Pro.

  • Legacy versions of AccountEdge Plus will receive no further updates.

Can I upgrade directly to AccountEdge Pro from an old version of AccountEdge?

You can upgrade directly to AccountEdge Pro no matter which version of AccountEdge you are currently using.

I use Payroll, how does AccountEdge Pro affect me?

We recommend all Payroll customers upgrade to AccountEdge Pro as soon as possible.

  • AccountEdge Pro will be required to process payroll for 2022-23, from 6 April 2022.

Can I continue to use AccountEdge Plus to process 2021-22 payroll?

If your computer cannot run AccountEdge Pro or you are not yet ready to upgrade to AccountEdge Pro, you can continue to use AccountEdge Plus 2021 to process 2021-22 payroll.

However, you will need to upgrade to AccountEdge Pro in order to install the March 2022 upgrade to process payroll from 6 April 2022.

  • Please check your computer's specification to ensure that you will be able to upgrade to AccountEdge Pro in March 2022 at the latest.
  • AccountEdge Pro system requirements.

Is AppleScript supported with AccountEdge Pro?

Scripted import/exports via AppleScript are discontinued with AccountEdge Pro.

Do I need to upgrade my macOS before I upgrade to AccountEdge Pro?

  • If you have delayed upgrading to macOS Catalina, Big Sur, or Monterey on an existing computer:

We recommend that you upgrade to AccountEdge Pro on your current macOS before you upgrade your macOS to a later version.

 

  • If you are currently using AccountEdge under Parallels:

We recommend that you install AccountEdge Pro on your main computer (not within the Parallels machine).

After AccountEdge Pro is installed, move your company file(s) from the Parallels machine to the main computer.

 

  • If you wish to transfer/install AccountEdge Pro on a new computer:

We recommend that you install AccountEdge Pro on the new computer first, then move your company file(s) from the old computer to the new computer.

 

Is there anything different about the AccountEdge Pro installation process?

Some Microsoft compontents are required to run AccountEdge Pro, so expect to see some Microsoft prompts during the first-time installation.

Example:

AEPro Install.png

 

Also, when installing AccountEdge Pro for the first time, you will receive a warning window stating that:

"Setup may not run properly, because the Windows Update Service / Windows Modules Installer Service is not available on this computer."

Setup May Not Run Properly.png

Click Continue to advance.

These warnings do not affect the installation of AccountEdge Pro.

 

 

 

Return to AccountEdge Support